function [ results, roc_curves ] = MCRwrapper( train, test, config )

unique_labels = unique(train.label);
unique_test_labels = unique(test.label);
if(length(unique_labels)~=2 || length(unique_test_labels)~=2 || ~all(unique_labels == unique_test_labels))
    error('Labels can only have 2 unique values!');
end
train.label(train.label==unique_labels(1)) = -1;
test.label(test.label==unique_labels(2)) = 1;
[results, roc_curves] = MCRalgorithm(train.data, train.label, train.time, test.data, test.label, test.time, config);

return

