function [train test] = getFold(dataset, total_folds, curr_fold)

idx_pos = find(dataset.label == 1);
idx_neg = setdiff(1:length(dataset.label), idx_pos);
idx_test_pos = idx_pos(round(length(idx_pos)*(curr_fold-1)/total_folds)+1:round(length(idx_pos)*curr_fold/total_folds));
idx_test_neg = idx_neg(round(length(idx_neg)*(curr_fold-1)/total_folds)+1:round(length(idx_neg)*curr_fold/total_folds));
idx_test = union(idx_test_pos, idx_test_neg);
idx_train = setdiff(1:length(dataset.label), idx_test);
train.data = dataset.data(idx_train, :);
train.label = dataset.label(idx_train);
test.data = dataset.data(idx_test, :);
test.label = dataset.label(idx_test);

if(isfield(dataset, 'time'))
    train.time = dataset.time(idx_train);
    test.time = dataset.time(idx_test);
end